MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028306Open CASCADE[OCCT] OCCT:Visualizationpublic2016-12-28 12:542017-09-29 16:31
Reporterabv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028306: Visualization - viewer crashes if style for shaded display is set to HATCH
Description3D Viewer crashes if style for shaded display is set to HATCH. This is regression vs. 7.1.0.

Use the DRAW script in Steps to Reproduce to see the problem. Note that even if exception seem to be handled by DRAW interpretor, any action in 3d Viewer after it crashes DRAW.
Steps To Reproducepload MODELING VISUALIZATION
box b 10 10 10
vdisplay b
vfit
vsetdispmode 1
vsetinteriorstyle b 2
TagsNo tags attached.
Test case numberbugs vis bug28306
Attached Files

- Relationships

-  Notes
(0062395)
git (administrator)
2017-01-03 17:00

Branch CR28306 has been created by kgv.

SHA-1: be02d17ebd6ad17940389238fc729391ed2b4934


Detailed log of new commits:

Author: kgv
Date: Tue Jan 3 16:58:41 2017 +0300

    0028306: Visualization - viewer crashes if style for shaded display is set to HATCH
    
    Fixed NULL-dereference in OpenGl_Context::SetPolygonHatchStyle().
(0062396)
kgv (developer)
2017-01-03 17:00

Patch is ready for review.
(0062661)
san (developer)
2017-01-16 20:59

Branch CR28306 reviewed without remarks, ready for testing.
(0062741)
apv (tester)
2017-01-18 11:48

Dear BugMaster,

Branch CR28306 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: be02d17ebd6ad17940389238fc729391ed2b4934

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1132

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug28306 - OK
http://occt-tests/CR28306-master-OCCT/Debian70-64/bugs/vis/bug28306.html [^]
http://occt-tests/CR28306-master-OCCT/Windows-64-VC10/bugs/vis/bug28306.html [^]

Testing on Linux:
Total MEMORY difference: 93044570 / 92909533 [+0.15%]
Total CPU difference: 21387.490000000154 / 21505.9800000003 [-0.55%]

Testing on Windows:
Total MEMORY difference: 58642783 / 58649007 [-0.01%]
Total CPU difference: 19528.361180998596 / 19749.742200098677 [-1.12%]
(0063577)
git (administrator)
2017-02-08 11:32

Branch CR28306 has been deleted by kgv.

SHA-1: be02d17ebd6ad17940389238fc729391ed2b4934

- Related Changesets
occt: master ec7c343f
Timestamp: 2017-01-03 13:58:41
Author: kgv
Committer: apn
Details ] Diff ]
0028306: Visualization - viewer crashes if style for shaded display is set to HATCH

Fixed NULL-dereference in OpenGl_Context::SetPolygonHatchStyle().
mod - src/Graphic3d/Graphic3d_AspectFillArea3d.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/bugs/vis/bug28306 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-28 12:54 abv New Issue
2016-12-28 12:54 abv Assigned To => kgv
2016-12-28 13:04 kgv Relationship added related to 0028107
2016-12-28 13:05 kgv Assigned To kgv => vpa
2016-12-28 13:05 kgv Status new => assigned
2017-01-02 11:27 kgv Assigned To vpa => kgv
2017-01-03 17:00 git Note Added: 0062395
2017-01-03 17:00 kgv Note Added: 0062396
2017-01-03 17:00 kgv Assigned To kgv => san
2017-01-03 17:00 kgv Severity minor => trivial
2017-01-03 17:00 kgv Status assigned => resolved
2017-01-03 17:00 kgv Product Version => 7.2.0
2017-01-03 17:00 kgv Summary [Regression] Visualization - viewer crashes if style for shaded display is set to HATCH => Visualization - viewer crashes if style for shaded display is set to HATCH
2017-01-16 20:59 san Note Added: 0062661
2017-01-16 20:59 san Assigned To san => bugmaster
2017-01-16 20:59 san Status resolved => reviewed
2017-01-17 16:24 apv Assigned To bugmaster => apv
2017-01-17 16:25 apv Test case number => bugs vis bug28306
2017-01-18 11:48 apv Note Added: 0062741
2017-01-18 11:48 apv Assigned To apv => bugmaster
2017-01-18 11:48 apv Status reviewed => tested
2017-01-20 16:12 apn Changeset attached => occt master ec7c343f
2017-01-20 16:12 apn Assigned To bugmaster => apn
2017-01-20 16:12 apn Status tested => verified
2017-01-20 16:12 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063577
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker